package demo;

import com.e9cloud.openapi.RestApi;
import com.e9cloud.util.Util;
import org.apache.http.HttpResponse;
import org.dom4j.DocumentException;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * 订单小号接口调用示例
 * <p/>
 * *API文档地址
 * http://www.33e9cloud.com/api/AxbNumberBind.html
 */
public class MaskAxbRequestTest {


    public static void main(String[] args) throws IOException, DocumentException {
        // url地址
        String url = "api.33e9cloud.com";
        // 版本
        String version = "2016-01-01";
        // 账号id ，请填写您自己的帐号，不知道帐号请联系客服
        String accountSid = "";
        // 账号token，请填写您自己的令牌，不知道令牌请联系客服
        String authToken = "";
        // 调用restapi初始化信息
        RestApi rest = new RestApi();
        rest.init(url);
        rest.setVersion(version);
        rest.setAccountInfo(accountSid, authToken);



        bind(rest);
    }

    public static void bind(RestApi rest) throws IOException, DocumentException {
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put("appId", "7eebfb99b5744ed9bf4fcc5d7c1b7a76");
        paramMap.put("telA", "15986778655");
        paramMap.put("telB", "18688975311");
        paramMap.put("areacode", "0755");
        paramMap.put("expiration", 600);
        paramMap.put("userData", " test on 中文测试");
        boolean isJson = true;
        HttpResponse response = rest.axbNumBind(isJson, paramMap);
        String result = Util.parseResponse(response, isJson);
        System.out.println(result);
    }

    public static void unBind(RestApi rest) throws IOException, DocumentException {
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put("appId", "7eebfb99b5744ed9bf4fcc5d7c1b7a76");
        paramMap.put("subid", "A2102X779X0008005970");
        boolean isJson = true;
        HttpResponse response = rest.axbNumUnBind(isJson, paramMap);
        String result = Util.parseResponse(response, isJson);
        System.out.println(result);
    }


    public static void query(RestApi rest) throws IOException, DocumentException {
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put("appId", "7eebfb99b5744ed9bf4fcc5d7c1b7a76");
        paramMap.put("subid", "A2102X779X0008005970");
        boolean isJson = true;
        HttpResponse response = rest.axbNumQuery(isJson, paramMap);
        String result = Util.parseResponse(response, isJson);
        System.out.println(result);
    }


}
