package demo;

import com.e9cloud.openapi.RestApi;
import com.e9cloud.util.Util;
import org.apache.http.HttpResponse;
import org.dom4j.DocumentException;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * 手机专号通接口调用示例
 * <p/>
 * * API文档地址
 * http://www.33e9cloud.com/api/XaXbNumberBind.html
 */
public class MaskXaXbRequestTest {

    public static void main(String[] args) throws IOException, DocumentException {
        // url地址
        String url = "api.33e9cloud.com";
        // 版本
        String version = "2016-01-01";
        // 账号id ，请填写您自己的帐号，不知道帐号请联系客服
        String accountSid = "";
        // 账号token，请填写您自己的令牌，不知道令牌请联系客服
        String authToken = "";
        // 调用restapi初始化信息
        RestApi rest = new RestApi();
        rest.init(url);
        rest.setVersion(version);
        rest.setAccountInfo(accountSid, authToken);



        query(rest);
    }

    public static void bind(RestApi rest) throws IOException, DocumentException {
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put("appId", "7290fa01293c483fb2709c690f213272");
        paramMap.put("telA", "18617068888");
        paramMap.put("name", "路人甲");
        paramMap.put("cardtype", "0");
        paramMap.put("cardno", "450801199302109883");
        paramMap.put("areacode", "0755");
        paramMap.put("expiration", 120);
        paramMap.put("needRecord", "1");
        boolean isJson = true;
        HttpResponse response = rest.maskNumberXaXbBind(isJson, paramMap);
        String result = Util.parseResponse(response, isJson);
        System.out.println(result);
    }


    public static void unbind(RestApi rest) throws IOException, DocumentException {
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put("appId", "7eebfb99b5744ed9bf4fcc5d7c1b7a76");
        paramMap.put("subid", "A2102X779X0008005970");
        boolean isJson = true;
        HttpResponse response = rest.maskNumberXaXbUnbind(isJson, paramMap);
        String result = Util.parseResponse(response, isJson);
        System.out.println(result);
    }

    public static void query(RestApi rest) throws IOException, DocumentException {
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put("appId", "7eebfb99b5744ed9bf4fcc5d7c1b7a76");
        paramMap.put("subid", "A2102X779X0008005970");
        boolean isJson = true;
        HttpResponse response = rest.maskNumberXaXbQuery(isJson, paramMap);
        String result = Util.parseResponse(response, isJson);
        System.out.println(result);
    }

    public static void callOnlineXAXB(RestApi rest) throws IOException, DocumentException {
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put("appId", "7eebfb99b5744ed9bf4fcc5d7c1b7a76");
        paramMap.put("subid", "A2102X779X0008005970");
        paramMap.put("telB", "13824341234");
        boolean isJson = true;
        HttpResponse response = rest.maskNumberXaXbCallOnlineXAXB(isJson, paramMap);
        String result = Util.parseResponse(response, isJson);
        System.out.println(result);
    }
}
