package demo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.http.HttpResponse;

import com.e9cloud.openapi.RestApi;
import com.e9cloud.util.Util;

/**
 * 专线语音调用示例(详见文档)
 * 
 * @author Administrator
 *
 */
public class VoiceVerifyRequestTest {

	public static void main(String[] args) {
		// url地址
		String url = "api.33e9cloud.com";
		// 版本
		String version = "2016-01-01";
		// 账号id
		String accountSid = "";
		// 账号token
		String authToken = "";

		// 调用restapi初始化信息
		RestApi rest = new RestApi();
		rest.init(url);
		rest.setVersion(version);
		rest.setAccountInfo(accountSid, authToken);
		// 设置超时时间(可不设)
		voiceCodeCall(rest);
	}

	/**
	 * 语音验证码请求接口
	 *
	 * @param rest
	 */
	public static void voiceCodeCall(RestApi rest) {
		// 应用id
		String appId = "";
		// 语音验证码自定义模板ID，6位数字
		String voiceRecId = "";
		// 验证码内容，为数字0~9，长度4-8位
		String verifyCode = "";
		//被叫电话号码
		String called = "";
		//被叫显示号码
		String callDisplayNumber = "";

		Map<String, Object> paramMap = new HashMap<String, Object>();
		// 应用id
		paramMap.put("appId", appId);
		// 语音验证码自定义模板ID，6位数字
		paramMap.put("voiceRecId", voiceRecId);
		// 验证码内容，为数字0~9，长度4-8位
		paramMap.put("verifyCode", verifyCode);
		//被叫电话号码
		paramMap.put("called", called);
		//被叫显示号码
		paramMap.put("callDisplayNumber", callDisplayNumber);
		// 请求方式，是否json请求
		boolean isJson = true;
		// 请求专线语音
		HttpResponse response = rest.voiceVerifyCall(isJson, paramMap);
		// 解析response
		try {
			System.out.println(Util.parseResponse(response, isJson));
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}